gr::dab::ofdm_coarse_frequency_correct Class Reference

<+description of block+> More...

`#include <ofdm_coarse_frequency_correct.h>`

Inheritance diagram for gr::dab::ofdm_coarse_frequency_correct:
[legend]

## Public Types

typedef std::shared_ptr< ofdm_coarse_frequency_correct > | sptr

## Static Public Member Functions

static sptr | make (unsigned int fft_length, unsigned int num_carriers, unsigned int cp_length)
| Return a shared_ptr to a new instance of dab::ofdm_coarse_frequency_correct.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<ofdm_coarse_frequency_correct> gr::dab::ofdm_coarse_frequency_correct::sptr

## Member Function Documentation

## make()

sptr gr::dab::ofdm_coarse_frequency_correct::make | ( | unsigned int | fft_length,
|  | unsigned int | num_carriers,
|  | unsigned int | cp_length )

static

Return a shared_ptr to a new instance of dab::ofdm_coarse_frequency_correct.

To avoid accidental use of raw pointers, dab::ofdm_coarse_frequency_correct's constructor is in a private implementation class. dab::ofdm_coarse_frequency_correct::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ofdm_coarse_frequency_correct.h